UpdateFirewallRuleTemplate
UpdateFirewallRuleTemplate
PUT
/zstack/v1/vpcfirewalls/rules/template/{uuid}/actionsOperation ID
UpdateFirewallRuleTemplateSince
4.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe UUID of the template.
Body Fields
theupdateFirewallRuleTemplateObjectRequiredtheupdateFirewallRuleTemplate request body object.
nameStringOptional. The name of the rule template.
actionStringRequiredThe action.
protocolStringOptional.
destPortStringOptional.
sourcePortStringOptional.
sourceIpStringOptional.
destIpStringOptional.
allowStatesStringOptional.
tcpFlagStringOptional.
icmpTypeNameStringOptional.
ruleNumberIntegerRequiredThe number of rule.
enableLogbooleanOptional.
stateStringOptional.
descriptionStringOptional. The detailed description of the template.
resourceUuidStringOptional. The UUID of the template.
tagUuidsListOptional. The tag tags.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
